#!/usr/bin/env bash

REPODIR='/srv/tengrirepo'
CONFDIR=$REPODIR'/conf'

#Файл пришедший с пакетом
app=arta-synergy-extensions-kato_*.changes
newCodeName=$(grep "Distribution" $app | cut -d" " -f2)

#Файл с настройками репозитория
fileDisrtib=$CONFDIR'/distributions'
existCodeName=$(grep "Codename: $newCodeName" $fileDisrtib | cut -d" " -f2)

#Если репозитория не существует то создаём его
if [ -z "$existCodeName" ]; then
    echo "" >> $fileDisrtib
    echo "Origin: ARTA" >> $fileDisrtib
    echo "Label: ARTA" >> $fileDisrtib
    echo "Suite: $newCodeName" >> $fileDisrtib
    echo "Codename: $newCodeName" >> $fileDisrtib
    echo "Version: 3.0" >> $fileDisrtib
    echo "Architectures: i386 amd64 source" >> $fileDisrtib
    echo "Components: main non-free contrib" >> $fileDisrtib
    echo "Description: For $newCodeName synergy" >> $fileDisrtib
    echo "Log:" >> $fileDisrtib
    echo " --type=dsc changelogs.sh" >> $fileDisrtib

    echo 'CREATE REPOSITORY AND ADD PACKAGES'
   else
    echo 'ONLY UPDATE PACKAGES'
fi

reprepro -b $REPODIR include $newCodeName $app

find . ! -name "repository*.sh" -delete
